package nlib.cmm.service;

public class NotificationVO extends PagingVO {

	private String notiId;      /* 알림ID */
	private String title;		/* 알림제목 */
	private String content;		/* 알림내용 */
	private String notiMethod;	/* 알림방법 */
	private String notiTypeCd;	/* 알림유형코드(알림내용구분코드) */
	private String notiTypeNm;	/* 알림유형코드명 */
	private String readDd;		/* 알림확인일시  */
	private String RegId;		/* 등록자아이디 */
	private String regDd;		/* 등록일자  */
	
	private String recvUserId; 	/* 알림대상자 회원아이디 */
	private String readYn;      /* 알림확인여부 */
	private int    totCnt = 0;  /* 알림건수(최근1개월) */
	private int    rno = 0;     /* 행번호 */
	
	private String mngOrgCd;    /* 관리문화원코드 */
	private String mngOrgNm;    /* 관리문화원명 */ 
	
	public String getNotiId() {
		return notiId;
	}
	public void setNotiId(String notiId) {
		this.notiId = notiId;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getNotiMethod() {
		return notiMethod;
	}
	public void setNotiMethod(String notiMethod) {
		this.notiMethod = notiMethod;
	}
	public String getNotiTypeCd() {
		return notiTypeCd;
	}
	public void setNotiTypeCd(String notiTypeCd) {
		this.notiTypeCd = notiTypeCd;
	}
	public String getReadDd() {
		return readDd;
	}
	public void setReadDd(String readDd) {
		this.readDd = readDd;
	}
	public String getRegId() {
		return RegId;
	}
	public void setRegId(String regId) {
		RegId = regId;
	}
	public String getRegDd() {
		return regDd;
	}
	public void setRegDd(String regDd) {
		this.regDd = regDd;
	}
	public String getRecvUserId() {
		return recvUserId;
	}
	public void setRecvUserId(String recvUserId) {
		this.recvUserId = recvUserId;
	}
	public int getTotCnt() {
		return totCnt;
	}
	public void setTotCnt(int totCnt) {
		this.totCnt = totCnt;
	}
	public String getReadYn() {
		return readYn;
	}
	public void setReadYn(String readYn) {
		this.readYn = readYn;
	}
	public String getNotiTypeNm() {
		return notiTypeNm;
	}
	public void setNotiTypeNm(String notiTypeNm) {
		this.notiTypeNm = notiTypeNm;
	}
	public int getRno() {
		return rno;
	}
	public void setRno(int rno) {
		this.rno = rno;
	}
	public String getMngOrgCd() {
		return mngOrgCd;
	}
	public void setMngOrgCd(String mngOrgCd) {
		this.mngOrgCd = mngOrgCd;
	}
	public String getMngOrgNm() {
		return mngOrgNm;
	}
	public void setMngOrgNm(String mngOrgNm) {
		this.mngOrgNm = mngOrgNm;
	}
	
}
